%            b     blue          .     point              -     solid
%            g     green         o     circle             :     dotted
%            r     red           x     x-mark             -.    dashdot 
%            c     cyan          +     plus               --    dashed   
%            m     magenta       *     star             (none)  no line
%            y     yellow        s     square
%            k     black         d     diamond
%            w     white         v     triangle (down)
%                                ^     triangle (up)
%                                <     triangle (left)
%                                >     triangle (right)
%                                p     pentagram
%                                h     hexagram
%         


clear all;


%------------------------------------%
S=load('matResults.mat','-mat');

o2N_NoS=[S.data_ortho_2n_noS(:,1) S.data_ortho_2n_noS(:,8)];
o2N_S=[S.data_ortho_2n_suc(:,1) S.data_ortho_2n_suc(:,8)];
o2N_M=[S.data_ortho_2n_mod(:,1) S.data_ortho_2n_mod(:,8)];
o2N_SN=[S.data_ortho_2n_suc_neg(:,1) S.data_ortho_2n_suc_neg(:,8)];
o2N_SO=[S.data_ortho_2n_suc_opt(:,1) S.data_ortho_2n_suc_opt(:,8)];

s=1000;


% Select best incumbents along optimization
bestCurrentF=o2N_NoS(1,2);
sup=true(1000,1);
for i=2:s
    f=o2N_NoS(i,2);
    if (f<bestCurrentF)
        sup(i)=false;
        bestCurrentF=f;
        % sprintf('%i %f %f\n',i,f,inf(i))
    end
end
o2N_NoS(sup,:)=[];

bestCurrentF=o2N_S(1,2);
sup=true(1000,1);
for i=2:s
    f=o2N_S(i,2);
    if (f<bestCurrentF)
        sup(i)=false;
        bestCurrentF=f;
        % sprintf('%i %f %f\n',i,f,inf(i))
    end
end
o2N_S(sup,:)=[];

bestCurrentF=o2N_M(1,2);
sup=true(1000,1);
for i=2:s
    f=o2N_M(i,2);
    if (f<bestCurrentF)
        sup(i)=false;
        bestCurrentF=f;
        % sprintf('%i %f %f\n',i,f,inf(i))
    end
end
o2N_M(sup,:)=[];

bestCurrentF=o2N_SN(1,2);
sup=true(1000,1);
for i=2:s
    f=o2N_SN(i,2);
    if (f<bestCurrentF)
        sup(i)=false;
        bestCurrentF=f;
        % sprintf('%i %f %f\n',i,f,inf(i))
    end
end
o2N_SN(sup,:)=[];

bestCurrentF=o2N_SO(1,2);
sup=true(1000,1);
for i=2:s
    f=o2N_SO(i,2);
    if (f<bestCurrentF)
        sup(i)=false;
        bestCurrentF=f;
        % sprintf('%i %f %f\n',i,f,inf(i))
    end
end
o2N_SO(sup,:)=[];
  
hold on;
 
% line plots
n2N_S=size(o2N_S,1);
l2N_S=zeros(2*(n2N_S-1),2);
for i=1:n2N_S-1
    l2N_S(2*i-1,:)=o2N_S(i,:);
    l2N_S(2*i,2)=o2N_S(i,2);
    l2N_S(2*i,1)=o2N_S(i+1,1);
end

n2N_NoS=size(o2N_NoS,1);
l2N_NoS=zeros(2*(n2N_NoS-1),2);
for i=1:n2N_NoS-1
    l2N_NoS(2*i-1,:)=o2N_NoS(i,:);
    l2N_NoS(2*i,2)=o2N_NoS(i,2);
    l2N_NoS(2*i,1)=o2N_NoS(i+1,1);
end

n2N_M=size(o2N_M,1);
l2N_M=zeros(2*(n2N_M-1),2);
for i=1:n2N_M-1
    l2N_M(2*i-1,:)=o2N_M(i,:);
    l2N_M(2*i,2)=o2N_M(i,2);
    l2N_M(2*i,1)=o2N_M(i+1,1);
end

n2N_SN=size(o2N_SN,1);
l2N_SN=zeros(2*(n2N_SN-1),2);
for i=1:n2N_SN-1
    l2N_SN(2*i-1,:)=o2N_SN(i,:);
    l2N_SN(2*i,2)=o2N_SN(i,2);
    l2N_SN(2*i,1)=o2N_SN(i+1,1);
end

n2N_SO=size(o2N_SO,1);
l2N_SO=zeros(2*(n2N_SO-1),2);
for i=1:n2N_SO-1
    l2N_SO(2*i-1,:)=o2N_SO(i,:);
    l2N_SO(2*i,2)=o2N_SO(i,2);
    l2N_SO(2*i,1)=o2N_SO(i+1,1);
end

% plot lines
plot ( l2N_NoS(:,1) , l2N_NoS(:,2) , 'k-');
plot ( l2N_S(:,1) , l2N_S(:,2) , 'k-');
plot ( l2N_M(:,1) , l2N_M(:,2) , 'k-');
plot ( l2N_SN(:,1) , l2N_SN(:,2) , 'k-');
plot ( l2N_SO(:,1) , l2N_SO(:,2) , 'k-');

% plot symbols
s1=plot ( o2N_NoS(:,1), o2N_NoS(:,2), '^', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8 ); 
s2=plot ( o2N_S(:,1), o2N_S(:,2), 'o', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8 ); 
s3=plot ( o2N_M(:,1), o2N_M(:,2) , 'p', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8 );
s4=plot ( o2N_SN(:,1), o2N_SN(:,2), 'd', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8 ); 
s5=plot ( o2N_SO(:,1), o2N_SO(:,2) , 's', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','k','MarkerSize',8 ); 
% plot ( X4(:,1) , X4(:,8) , 'o', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','r','MarkerSize',8 ); 
% plot ( X5(:,1) , X5(:,8) , 'p', 'LineWidth',1,'MarkerEdgeColor','k','MarkerFaceColor','c','MarkerSize',8 ); 



 
axis ( [1 1100  2E4  6E4] );

legend ( [ s1 s2 s3 s4 s5],{'\sc{Mads} $2n$ (no Sort)','\sc{Mads} $2n$ (suc)','\sc{Mads} $2n$ (mod)','\sc{Mads} \it{(suc,neg)}','\sc{Mads} \it{(suc,opt)}'},'Interpreter','latex') ;



xlabel ( 'Evaluations');
ylabel ( 'Obj');

globals = struct ('MarkerSize',6,'LineWidth',0.4,'idx_LegendStyle',      1,'GridGreyFac',          0,'StandAloneFile',       1);

%fig2texPS(gcf,globals);

hold off;
